%define api	4
%define major	1
%define libname	%mklibname gtkhex %{api} %{major}
%define girname	%mklibname hex-gir %{api}
%define devname	%mklibname gtkhex -d

Name:		ghex
Summary:	GNOME Hexadecimal Editor
Version:	46.3
Release:	%mkrel 1
License:	GPLv2+ and GFDL
Group:		Editors
Url:		https://wiki.gnome.org/Apps/Ghex
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-common
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	yelp-tools
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gail-3.0)
BuildRequires:	pkgconfig(xml2po)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Conflicts:	%{_lib}gtkhex4_1 < 45.1

%description
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

%package -n %{libname}
Summary:	Shared library of the GNOME Hexadecimal Editor
Group:		System/Libraries

%description -n %{libname}
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

This contains the shared library needed by ghex.

%package -n %{girname}
Summary:	GObject Introspection interface description for Hex
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Hex.

%package -n %{devname}
Summary:	Development files for the GNOME Hexadecimal Editor library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	libgtkhex-devel = %{version}-%{release}

%description -n %{devname}
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

This contains the development files needed to compile applications with
libghex.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

desktop-file-edit \
	--remove-category="Application" \
	%{buildroot}%{_datadir}/applications/*

%find_lang %{name}-%{api} --with-gnome --all-name

%files -f %{name}-%{api}.lang
%license COPYING
%doc NEWS README*
%{_bindir}/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/*GHex*
%{_datadir}/glib-2.0/schemas/org.gnome.GHex.gschema.xml
%{_metainfodir}/org.gnome.GHex.appdata.xml

%dir %{_libdir}/gtkhex-%{api}.0/
%{_libdir}/gtkhex-%{api}.0/libhex-buffer-mmap.so
%{_libdir}/gtkhex-%{api}.0/libhex-buffer-direct.so

%files -n %{libname}
%{_libdir}/libgtkhex-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Hex-%{api}.typelib

%files -n %{devname}
%{_libdir}/libgtkhex-%{api}.so
%{_libdir}/pkgconfig/gtkhex-%{api}.pc
%{_includedir}/gtkhex-%{api}/
%{_datadir}/gir-1.0/Hex-%{api}.gir


%changelog
* Wed Jul 23 2025 daviddavid <daviddavid> 46.3-1.mga10
+ Revision: 2258449
- new version 46.3

* Mon Jun 30 2025 umeabot <umeabot> 46.1-2.mga10
+ Revision: 2230222
- Mageia 10 Mass Rebuild

* Fri Nov 22 2024 daviddavid <daviddavid> 46.1-1.mga10
+ Revision: 2118493
- new version 46.1

* Fri Mar 22 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2051386
- new version 46.0

* Sun Nov 19 2023 wally <wally> 45.1-1.mga10
+ Revision: 2007813
- new version 45.1

* Sat Sep 30 2023 tv <tv> 45.beta-1.mga10
+ Revision: 1992588
- Update to 45.beta

* Fri Apr 28 2023 daviddavid <daviddavid> 44.1-1.mga9
+ Revision: 1955215
- new version 44.1

* Sun Apr 23 2023 daviddavid <daviddavid> 44.0-1.mga9
+ Revision: 1954464
- new version 44.0

* Sun Oct 30 2022 ghibo <ghibo> 43.0-1.mga9
+ Revision: 1900287
- Fix libadwaita-1 BR
- Add adwaita-1 to BR
- Update to release 43.0
+ ovitters <ovitters>
- new version 42.3

* Tue Apr 26 2022 ovitters <ovitters> 42.2-1.mga9
+ Revision: 1854381
- new version 42.2

* Sat Apr 16 2022 ovitters <ovitters> 42.1-1.mga9
+ Revision: 1850778
- new version 42.1

* Sun Apr 10 2022 wally <wally> 42.0-1.mga9
+ Revision: 1848684
- new version 42.0

* Thu Mar 31 2022 umeabot <umeabot> 3.41.1-2.mga9
+ Revision: 1836295
- Mageia 9 Mass Rebuild

* Sat Dec 04 2021 ovitters <ovitters> 3.41.1-1.mga9
+ Revision: 1760743
- new version 3.41.1

* Sat Oct 09 2021 wally <wally> 3.41.0-1.mga9
+ Revision: 1750187
- new version 3.41.0

* Thu Jul 09 2020 ovitters <ovitters> 3.18.4-3.mga8
+ Revision: 1603628
- drop Mageia specific category from desktop file (mga#2449)

* Sat Feb 15 2020 umeabot <umeabot> 3.18.4-2.mga8
+ Revision: 1527235
- Mageia 8 Mass Rebuild

* Sat Jul 13 2019 ovitters <ovitters> 3.18.4-1.mga8
+ Revision: 1420841
- new version 3.18.4

* Sun Sep 23 2018 umeabot <umeabot> 3.18.3-3.mga7
+ Revision: 1297878
- Mageia 7 Mass Rebuild

* Wed Sep 13 2017 cjw <cjw> 3.18.3-2.mga7
+ Revision: 1153456
- fix build with new find_lang

* Wed Oct 12 2016 ovitters <ovitters> 3.18.3-1.mga6
+ Revision: 1060498
- new version 3.18.3

* Mon Jun 27 2016 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 1037935
- new version 3.18.2

* Wed May 11 2016 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 1012661
- new version 3.18.1

* Thu Feb 11 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 954059
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883005
- new release

* Sun Sep 06 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 873522
- new version 3.17.91
- new version 3.17.90

* Wed Oct 15 2014 umeabot <umeabot> 3.10.1-3.mga5
+ Revision: 746027
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.10.1-2.mga5
+ Revision: 679559
- Mageia 5 Mass Rebuild
+ wally <wally>
- fix URL

* Mon Apr 14 2014 ovitters <ovitters> 3.10.1-1.mga5
+ Revision: 614280
- new version 3.10.1

* Sat Nov 09 2013 ovitters <ovitters> 3.10.0-3.mga4
+ Revision: 550152
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536501
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484455
- new version 3.10.0

* Wed Sep 18 2013 fwang <fwang> 3.9.92-1.mga4
+ Revision: 481255
- update file list
+ ovitters <ovitters>
- new version 3.9.92

* Fri May 24 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 426707
- update file list
- br itstool,libxml2-utils
- new version 3.8.1

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 351530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307263
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297273
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 295637
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282672
- new version 3.5.90

* Mon Jul 16 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 271487
- new version 3.5.2

* Tue May 29 2012 wally <wally> 3.5.1-1.mga3
+ Revision: 249292
- new version 3.5.1
- clean .spec

* Mon May 14 2012 ovitters <ovitters> 3.4.1-1.mga3
+ Revision: 235664
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226917
- new version 3.4.0

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219211
- new version 3.3.91

* Wed Feb 22 2012 wally <wally> 3.3.90-1.mga2
+ Revision: 212278
- new version 3.3.90

* Mon Nov 21 2011 kharec <kharec> 3.0.0-2.mga2
+ Revision: 170663
- fix url

* Mon Sep 26 2011 wally <wally> 3.0.0-1.mga2
+ Revision: 148889
- new version 3.0.0

* Tue Sep 06 2011 wally <wally> 2.90.2-1.mga2
+ Revision: 139553
- add BR to desktop-file-utils
- new version 2.90.2
- new version 2.90.1
- new version 2.90.0
- clean BRs and use pkgconfig style if possible
- drop static build
- drop ancient obsoletes
- clean .spec

* Sun Apr 10 2011 ennael <ennael> 2.24.0-2.mga1
+ Revision: 82851
- clean spec file
- imported package ghex


* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.24.0-2mdv2010.0
+ Revision: 437687
- rebuild

* Thu Feb 19 2009 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.1
+ Revision: 342790
- new version
- fix format strings

* Mon Nov 10 2008 Funda Wang <fwang@mandriva.org> 2.22.0-3mdv2009.1
+ Revision: 301804
- rebuild for new xcb

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.22.0-2mdv2009.0
+ Revision: 266843
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2009.0
+ Revision: 192555
- new version

* Wed Feb 27 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175671
- new version

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 160364
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 22 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 136788
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 116876
- new version

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89456
- new version

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 72476
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63194
- new version

* Wed Aug 08 2007 Götz Waschk <waschk@mandriva.org> 2.19.0-1mdv2008.0
+ Revision: 60433
- fix buildrequires
- Import ghex



* Wed Aug  8 2007 Götz Waschk <waschk@mandriva.org> 2.19.0-1mdv2008.0
- drop legacy menu
- new devel name
- add new icons
- remove gnome help
- New version 2.19.0

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.2-4mdv2007.0
- Rebuild with latest dbus

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.2-3mdv2007.0
- Rebuild with latest gail
- switch to xdg menu
- use macros

* Wed Mar  8 2006 Götz Waschk <waschk@mandriva.org> 2.8.2-2mdk
- replace prereq

* Wed Mar 08 2006 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdk
- New release 2.8.2
- use mkrel

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 2.8.1-2mdk
- rebuild for new openssl

* Tue Oct 19 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- New release 2.8.1

* Tue Oct 12 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- add omf files to lang
- New release 2.8.0

* Fri Aug 20 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- really fix to new menu

* Thu Aug 19 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- rebuild for new menu

* Thu May 27 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- enable parallel build
- reenable libtoolize
- New release 2.6.1

* Mon Apr 26 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- new version

* Wed Apr  7 2004 Götz Waschk <waschk@linux-mandrake.com> 2.5.2-1mdk
- fix menu
- fix intltool build
- new version

* Sat Oct 11 2003 Götz Waschk <waschk@linux-mandrake.com> 2.5.0-1mdk
- new version

* Thu Sep 11 2003 Götz Waschk <waschk@linux-mandrake.com> 2.4.0.1-1mdk
- new version

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0
- Remove patch0 (merged upstream)

* Tue Jul 15 2003 Götz Waschk <waschk@linux-mandrake.com> 2.3.0-4mdk
- don't uninstall schemas on upgrade

* Fri Jul 11 2003 Götz Waschk <waschk@linux-mandrake.com> 2.3.0-3mdk
- add schemas uninstallation
- patch to fix varargs syntax error caught by new gcc 

* Mon Apr 28 2003 Götz Waschk <waschk@linux-mandrake.com> 2.3.0-2mdk
- fix distriblint warning

* Wed Apr 16 2003 Götz Waschk <waschk@linux-mandrake.com> 2.3.0-1mdk
- libify the package
- disable parallel build, there are some missing deps
- new version

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Recompiled against latest openssl

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Remove patch0 (merged upstream) (was gnomeprint 2.2 support)

* Tue Dec 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.90-1mdk
- Release 1.99.90 (GNOME 2 port)
- Remove patch0 (merged upstream)

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-5mdk
- Patch0: use DTD compliant OMF file

* Mon Jun 17 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.1-4mdk
- png icons (out xpm!)

* Fri Oct 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-3mdk
- fixes from Götz Waschk <waschk@linux-mandrake.com> :
	- find_lang --with-gnome for help files

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-2mdk
- add url

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-2mdk
- Correct dependencies on scrollkeeper

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-1mdk
- Release 1.2
- Use scrollkeeper to maintain help database

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-0.2mdk
- Recompiled against latest gnome-print
- add help

* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2-0.1mdk
- correct release
- used srpm from Götz Waschk <waschk@linux-mandrake.com

* Wed Feb 21 2001 Götz Waschk <waschk@linux-mandrake.com> 1.2-0.1mdk
- 1.2-beta1

* Thu Nov 16 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk 
- used srpm from Götz Waschk <waschk@linux-mandrake.com> :
	- new release

* Thu Jul 20 2000 Götz Waschk <waschk@linux-mandrake.com> 1.1.3-1mdk
- initial Mandrake package
